define([
  "dojo/_base/declare",
  "dojo/when",
  "dojox/mvc/getStateful",
  "dojox/mvc/at",
  "dijit/registry",
  "aps/_View",
  /* Include JSON file that defines the default properties */
  "dojo/text!./../newvps.json"
], function (declare, when, getStateful, at, registry, _View, newVPS) {
	return declare(_View, {
	    init: function() {
			/* Declare data sources */
			this.model = getStateful({"newVPS": JSON.parse(newVPS)});
	      
			/* Create widgets */
			return [
				["aps/Panel", {id: "srvNew_page"}, [
					["aps/FieldSet", {id: "srvNew_general", title: "General"}, [
						["aps/Output", {
							id: this.genId("srvNewLast_srvName"),
							label: "Name",
							gridSize: 'md-3 xs-12',
							value: at(this.model.newVPS, "name")
						}],
						["aps/Output", {
							id: this.genId("srvNew_domainName"),
							label: "Server Name",
							gridSize: 'md-3 xs-12',
							value: at(this.model.newVPS, "domainName")
						}],
						["aps/Output", {
							id: this.genId("srvNew_ipAddress"),
							label: "IP Address",
							gridSize: 'md-3 xs-12',
							value: at(this.model.newVPS, "ipAddress")
						}],
						["aps/Output", {
							id: this.genId("srvNew_description"),
							label: "Description",
							gridSize: 'md-3 xs-12',
							value: at(this.model.newVPS, "description")
						}]
					]]
				]],
				["aps/Panel", {id: "srvNew_page_conf", title: "Configuration"}, [
					["aps/FieldSet", {id: "srvNew_props"}, [
						["aps/Output", {
							id: this.genId("srvNew_os"),
							label: "OS",
							value: at(this.model.newVPS.platform.OS, "name")
						}],
						["aps/Output", {
							id: this.genId("srvNew_cpu"),
							label: "CPU",
							value: at(this.model.newVPS.hardware.CPU, "number")
						}],
						["aps/Output", {
							id: this.genId("srvNew_disk"),
							label: "Disk Space",
							value: at(this.model.newVPS.hardware, "diskspace")
						}],
						["aps/Output", {
							id: this.genId("srvNew_ram"),
							label: "RAM",
							value: at(this.model.newVPS.hardware, "memory")
						}]
					]]
				]]
			];
	    },

		onContext: function() {
			this.model.set("newVPS", aps.context.wizardData["http://aps-standard.org/samples/sample-dns#vps-props"]); // Receive data from the previous step
			aps.apsc.hideLoading();
		},

		onNext: function() {
			aps.apsc.next();
		}
	}); // End of Declare
}); // End of Define
